Bug 22383 - consolechars -d only works from console
Summary: consolechars -d only works from console
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-16 12:25 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-16 12:25:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-12-16 12:25:12 UTC
If you try to set the default console fonts on SSH or from local xterm, you
get:

# consolechars -d
set_kernel_font: Invalid argument

On console this seems to work fine.  /etc/sysconfig/i18n:
---
LANG="en_US"
---

This happens with RHL 6.2 too, at least.

Comment 1 Bernhard Rosenkraenzer 2001-01-17 14:13:36 UTC
This is intentional - setting different characters from anything but the console
doesn't make sense.
Also, adding this would be impossible - You can't use ioctl() on devices that
are used by someone else.


Note You need to log in before you can comment on or make changes to this bug.